CREATE TABLE connections (
  from_lnr int NOT NULL,
  from_dnr int NOT NULL,
  to_lnr int NOT NULL,
  to_dnr int NOT NULL,
  PRIMARY KEY (from_lnr, from_dnr, to_lnr, to_dnr)
);

CREATE TABLE directions (
  dnr int NOT NULL auto_increment,
  name varchar(80) NOT NULL,
  PRIMARY KEY  (dnr)
);

CREATE TABLE locations (
  lnr int NOT NULL auto_increment,
  name varchar(80) NOT NULL,
  description text NOT NULL,
  picture varchar(80) default NULL,
  PRIMARY KEY  (lnr)
);

--
-- Dumping data for table `connections`
--

INSERT INTO connections VALUES (1,8,2,2);
INSERT INTO connections VALUES (2,2,1,8);
INSERT INTO connections VALUES (1,7,3,2);
INSERT INTO connections VALUES (3,2,1,7);
INSERT INTO connections VALUES (1,3,4,4);
INSERT INTO connections VALUES (4,4,1,3);
INSERT INTO connections VALUES (1,2,6,1);
INSERT INTO connections VALUES (6,1,1,2);
INSERT INTO connections VALUES (1,10,7,3);
INSERT INTO connections VALUES (7,3,1,10);
INSERT INTO connections VALUES (1,5,16,6);
INSERT INTO connections VALUES (16,6,1,5);
INSERT INTO connections VALUES (3,1,8,2);
INSERT INTO connections VALUES (4,3,5,4);
INSERT INTO connections VALUES (5,4,4,3);
INSERT INTO connections VALUES (19,2,8,1);
INSERT INTO connections VALUES (8,1,19,2);
INSERT INTO connections VALUES (8,3,1,4);
INSERT INTO connections VALUES (1,4,8,3);
INSERT INTO connections VALUES (8,2,9,1);
INSERT INTO connections VALUES (9,1,8,2);
INSERT INTO connections VALUES (16,10,15,3);
INSERT INTO connections VALUES (15,3,16,10);
INSERT INTO connections VALUES (16,2,14,1);
INSERT INTO connections VALUES (14,1,16,2);
INSERT INTO connections VALUES (16,9,13,4);
INSERT INTO connections VALUES (13,4,16,9);
INSERT INTO connections VALUES (13,2,8,1);
INSERT INTO connections VALUES (16,3,12,4);
INSERT INTO connections VALUES (12,4,16,3);
INSERT INTO connections VALUES (12,1,18,2);
INSERT INTO connections VALUES (18,2,12,1);
INSERT INTO connections VALUES (16,1,11,2);
INSERT INTO connections VALUES (11,2,16,1);
INSERT INTO connections VALUES (16,8,10,2);
INSERT INTO connections VALUES (10,2,16,8);
INSERT INTO connections VALUES (16,4,17,3);
INSERT INTO connections VALUES (17,3,16,4);

--
-- Dumping data for table `directions`
--

INSERT INTO directions VALUES (1,'Norden');
INSERT INTO directions VALUES (2,'Sueden');
INSERT INTO directions VALUES (3,'Osten');
INSERT INTO directions VALUES (4,'Westen');
INSERT INTO directions VALUES (5,'auf');
INSERT INTO directions VALUES (6,'ab');
INSERT INTO directions VALUES (7,'Nord-Ost');
INSERT INTO directions VALUES (8,'Nord-West');
INSERT INTO directions VALUES (9,'Sued-Ost');
INSERT INTO directions VALUES (10,'Sued-West');

--
-- Dumping data for table `locations`
--

INSERT INTO locations VALUES (1,'Treppenhaus_unten','Vom Treppenhaus aus kann man alle Raeume eines Geschosses erreichen. Ausserdem ist es die Verbindung zu den anderen Geschossen und zur Aussenwelt. Das Treppenhaus unten hat zwei Tueren nach Westen, zwei Tueren nach Norden, eine Tuere nach Osten, eine Tuere nach Sueden und eine Treppe nach oben.','treppenhaus.jpg');
INSERT INTO locations VALUES (2,'Kueche','Die Kueche hat eine Tuere nach Sueden, ein Fenster nach Norden und eine Klappe nach Osten.','kueche.jpg');
INSERT INTO locations VALUES (3,'Wohnzimmer','Das Wohnzimmer hat eine Tuere nach Sueden, eine Tuere nach Norden, zwei Fenster nach Norden und ein Fenster nach Osten.','wohnzimmer.jpg');
INSERT INTO locations VALUES (4,'Keller_a','Der Keller_a hat eine Tuere nach Westen und eine Tuere nach Osten. Er hat auch ein Fenster nach Sueden.','keller_a.jpg');
INSERT INTO locations VALUES (5,'Keller_b','Der Keller_b hat eine Tuere nach Westen und ein Fenster nach Osten.','keller_b.jpg');
INSERT INTO locations VALUES (6,'Gaeste-WC','Das Gaeste-WC hat eine Tuere nach Norden und ein Fenster nach Sueden.','gaeste_wc.jpg');
INSERT INTO locations VALUES (7,'Rechenkeller','Der Rechenkeller hat eine Tuere nach Osten und ein Fenster nach Westen, es ist wohl klar, dass weder Tuere noch Fenster ganz zu oeffnen sind.','rechenkeller.jpg');
INSERT INTO locations VALUES (8,'Garten','Im Garten steht ein grosses Haus und eine kleine Huette, er hat eine Eingangstuere nach Norden und verschiedene Treppen und Wege.','garten.jpg');
INSERT INTO locations VALUES (9,'Huette','Die Huette steht im Garten und hat eine Tuere und ein Fenster nach Norden.','huette.jpg');
INSERT INTO locations VALUES (10,'Bad','Das Bad hat eine Tuere nach Sueden und ein Fenster nach Norden.','bad.jpg');
INSERT INTO locations VALUES (11,'Arbeitszimmer_a','Das Arbeitszimmer A hat eine Tuere nach Sueden und ein Fenster nach Norden.','arbeitszimmer_a.jpg');
INSERT INTO locations VALUES (12,'Arbeitszimmer_b','Das Arbeitszimmer B hat eine Tuere nach Westen, eine Tuere nach Norden, ein Fenster nach Norden und eins nach Osten.','arbeitszimmer_b.jpg');
INSERT INTO locations VALUES (13,'Schlafzimmerr','Das Schlafzimmer hat eine Tuere nach Westen und eine Tuere nach Sueden. Ausserdem hat es ein Fenster nach Osten.','schlafzimmer.jpg');
INSERT INTO locations VALUES (14,'Klo','Das Klo hat eine Tuere nach Norden und ein Fenster nach Sueden','klo.jpg');
INSERT INTO locations VALUES (15,'Werkstatt','Die Werkstatt hat eine Tuere nach Osten und ein Fenster nach Sueden','werkstatt.jpg');
INSERT INTO locations VALUES (16,'Treppenhaus_oben','Das Treppenhaus hat oben zwei Tueren nach Norden, zwei Tueren nach Westen, eine Tuere nach Sueden und zwei Tueren nach Osten. Es gibt eine Treppe nach unten.','treppenhaus_oben.jpg');
INSERT INTO locations VALUES (17,'Kleiderkammer','Die Kleiderkammer hat nur eine Tuere nach Osten.','kleiderkammer.jpg');
INSERT INTO locations VALUES (18,'Balkon','Der Balkon hat eine Tuere nach Norden, von ihm aus kann man in den Garten sehen.','balkon.jpg');
INSERT INTO locations VALUES (19,'Strasse','An der Strasse liegt der Eingang im Sueden zum Garten.','strasse.jpg');
